This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017487 - [abrt] evolution-data-server-3.10.0-1.fc20: __libc_res_nsearch: Process /usr/libexec/evolution-source-registry was killed by signal 6 (SIGABRT)
[abrt] evolution-data-server-3.10.0-1.fc20: __libc_res_nsearch: Process /usr/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:7310e9597897c53c7cacf998224...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 22:42 EDT by Matthew Garrett
Modified: 2015-06-29 08:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (133.61 KB, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: core_backtrace (86.15 KB, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: dso_list (16.25 KB, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: environ (1016 bytes, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: maps (80.34 KB, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: open_fds (779 bytes, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-10-09 22:42 EDT, Matthew Garrett
no flags Details

  None (edit)
Description Matthew Garrett 2013-10-09 22:42:05 EDT
Description of problem:
Opened Evolution, received abrt.

Version-Release number of selected component:
evolution-data-server-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: __libc_res_nsearch
executable:     /usr/libexec/evolution-source-registry
kernel:         3.11.3-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #5 __libc_res_nsearch at res_query.c:392
 #6 _nss_dns_gethostbyname4_r at nss_dns/dns-host.c:314
 #7 gaih_inet at ../sysdeps/posix/getaddrinfo.c:850
 #8 getaddrinfo at ../sysdeps/posix/getaddrinfo.c:2405
 #9 do_lookup_by_name at gthreadedresolver.c:81
 #10 g_task_thread_pool_thread at gtask.c:1245
 #12 g_thread_proxy at gthread.c:798
 #14 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
Comment 1 Matthew Garrett 2013-10-09 22:42:09 EDT
Created attachment 810242 [details]
File: backtrace
Comment 2 Matthew Garrett 2013-10-09 22:42:13 EDT
Created attachment 810243 [details]
File: cgroup
Comment 3 Matthew Garrett 2013-10-09 22:42:16 EDT
Created attachment 810244 [details]
File: core_backtrace
Comment 4 Matthew Garrett 2013-10-09 22:42:19 EDT
Created attachment 810245 [details]
File: dso_list
Comment 5 Matthew Garrett 2013-10-09 22:42:22 EDT
Created attachment 810246 [details]
File: environ
Comment 6 Matthew Garrett 2013-10-09 22:42:24 EDT
Created attachment 810247 [details]
File: limits
Comment 7 Matthew Garrett 2013-10-09 22:42:27 EDT
Created attachment 810248 [details]
File: maps
Comment 8 Matthew Garrett 2013-10-09 22:42:30 EDT
Created attachment 810249 [details]
File: open_fds
Comment 9 Matthew Garrett 2013-10-09 22:42:32 EDT
Created attachment 810250 [details]
File: proc_pid_status
Comment 10 Milan Crha 2013-10-14 06:08:07 EDT
Thanks for a bug report. I see many threads trying to resolve various addresses, when one of the threads crashed on a (software) memory corruption. It's hard to tell why it happened, the actual corruption could happen anytime before it was recognized by libc, same as the same memory corruption reason can reveal itself on different places.

Due to it, could you try to run evolution under valgrind, it'll be awfully slow due to all memory checking, though the more you let it run the better, and upload the log here, please? The valgrind command looks like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 evolution &>log.txt

Even valgrind doesn't catch every memory issue, it is good in catching many types of memory corruption.
Comment 11 Fedora Admin XMLRPC Client 2014-09-04 10:32:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora End Of Life 2015-05-29 05:32:51 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:36:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.